Subject: Re: [PATCH v2 1/2] net: usb: qmi_wwan: support ZTE P685M modem

From: Johan Hovold <[email-masked]>
Date: Mon, 8 Feb 2021 10:35:24 +0100

On Sat, Feb 06, 2021 at 12:13:22PM -0800, Jakub Kicinski wrote:
> On Sat, 6 Feb 2021 15:50:41 +0100 Lech Perczak wrote:
> > >> Cc: Bjørn Mork<[email-masked]>
> > >> Signed-off-by: Lech Perczak<[email-masked]>  
> > > Patch looks fine to me.  But I don't think you can submit a net and usb
> > > serial patch in a series. These are two different subsystems.
> > >
> > > There's no dependency between the patches so you can just submit
> > > them as standalone patches.  I.e. no series.  
> > Actually, there is, and I just noticed, that patches are in wrong order.
> > Without patch 2/2 for 'option' driver, there is possibility for that 
> > driver to steal
> > interface 3 from qmi_wwan, as currently it will match interface 3 as 
> > ff/ff/ff.
> > 
> > With that in mind I'm not really sure how to proceed.
> > 
> > What comes to my mind, is either submit this as series again, with 
> > ordering swapped,
> > or submit 2/2 first, wait for it to become merged, and then submit 1/2.
> 
> Send patch 2, wait for it to hit net, send 1 seems like the safest
> option. If we're lucky Johan can still send patch 2 for 5.11, otherwise
> we'll wait until the merge window - we're at rc7 already, it won't take
> too long.

I usually don't send on new device-ids this late in the release cycle,
so I'll queue the USB-serial one up for 5.12-rc1 and you can take this
one through net-next.

Johan